## kpackage 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KPackage VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupQtPluginMacroNames)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PACKAGE
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpackage_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PackageConfigVersion.cmake"
                  SOVERSION 5)

################# now find all used packages #################

set (REQUIRED_QT_VERSION 5.15.2)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus)

find_package(KF5Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)

find_package(KF5DocTools ${KF_DEP_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Tools to generate documentation"
                       TYPE OPTIONAL
                      )

#########################################################################

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "K_EXPORT_KPACKAGE_PACKAGE_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
include(KF5PackageMacros.cmake)

# make package_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"libkpackage5\")
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

################ create PackageConfig.cmake and install it ####################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Package")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Package_QCH
        FILE KF5PackageQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PackageQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PackageConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PackageConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KDE_INSTALL_INCLUDEDIR_KF CMAKE_INSTALL_PREFIX
)

install(FILES
  qrc.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PackageConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PackageConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PackageMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PackageTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PackageTargets.cmake
        NAMESPACE KF5::
        COMPONENT Devel)
install(EXPORT KF5PackageToolsTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PackageToolsTargets.cmake
        NAMESPACE KF5::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpackage_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPackage COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES PURPOSE "Required for tests")

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

include(ECMMarkAsTest)
include(ECMAddTests)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_library(kpackage_test_static STATIC packagestructures/plasmoidstructure.cpp ${CMAKE_CURRENT_SOURCE_DIR}/../src/kpackage/private/packages.cpp)
set_property(TARGET kpackage_test_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kpackage_test_static KF5::Package KF5::Archive KF5::CoreAddons KF5::I18n )
MACRO(PLASMA_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               ecm_add_test(
                       ${_testname}.cpp
                       LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kpackage_test_static
                       TEST_NAME ${_testname}
                       NAME_PREFIX "plasma-")
                       target_compile_definitions(${_testname} PRIVATE TEST_PLUGIN_DIR="${CMAKE_BINARY_DIR}/bin/")
       ENDFOREACH(_testname)
ENDMACRO(PLASMA_UNIT_TESTS)

PLASMA_UNIT_TESTS(
    fallbackpackagetest
    packagestructuretest
    plasmoidpackagetest
    rccpackagetest
    querytest
)

add_library(plasmoidstructure_plugin MODULE packagestructures/plugin.cpp)
target_link_libraries(plasmoidstructure_plugin kpackage_test_static)
set_target_properties(plasmoidstructure_plugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kpackage/packagestructure")

set_tests_properties(plasma-querytest PROPERTIES RUN_SERIAL TRUE) # it wipes out ~/.qttest/share
set_tests_properties(plasma-plasmoidpackagetest PROPERTIES RUN_SERIAL TRUE)

function(kpackagetool5test testname)
    add_test(NAME ${testname}-appstream COMMAND cmake -Dkpackagetool=$<TARGET_FILE:kpackagetool5>
                                                      -Dgenerated=${CMAKE_CURRENT_BINARY_DIR}/${testname}.appdata.xml
                                                      -Dinput=${CMAKE_CURRENT_LIST_DIR}/data/${testname}/
                                                      -Doutput=${CMAKE_CURRENT_SOURCE_DIR}/data/${testname}/${testname}.testappdataxml
                                                      -P ${CMAKE_CURRENT_SOURCE_DIR}/kpackagetoolappstreamtest.cmake
    )
    set(XDG_DATA_DIRS "$ENV{XDG_DATA_DIRS}")
    if(NOT XDG_DATA_DIRS)
        set(XDG_DATA_DIRS "/usr/local/share:/usr/share")
    endif()
    set_property(TEST ${testname}-appstream PROPERTY ENVIRONMENT "XDG_DATA_DIRS=${CMAKE_SOURCE_DIR}/src/kpackage/data:${XDG_DATA_DIRS}")
endfunction()

foreach(var "testfallbackpackage" "testpackage" "testpackage-nodisplay" "testjsonmetadatapackage" "testpackagesdep" "testpackagesdepinvalid") # "customcontent" "simplecontent"
    kpackagetool5test(${var})
endforeach()

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/testpackage-rcc")
set(kpkgqrc "${CMAKE_CURRENT_SOURCE_DIR}/data/testpackage-rcc/resources.qrc")
set(kpkgrcc "${CMAKE_CURRENT_BINARY_DIR}/testpackage-rcc/contents.rcc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/data/testpackage-rcc/metadata.json"  ${CMAKE_CURRENT_BINARY_DIR}/testpackage-rcc COPYONLY)
add_custom_command(OUTPUT ${kpkgrcc}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND Qt${QT_MAJOR_VERSION}::rcc ${kpkgqrc} --binary -o ${kpkgrcc})
add_custom_target(testpackage-rcc ALL DEPENDS ${kpkgrcc})


add_subdirectory(mockdepresolver)

=== debian/changelog ===
kpackage (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:12 +0000

kpackage (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:26 +0000

kpackage (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:24 +0000

kpackage (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:13 +0000

kpackage (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:55 +0000

kpackage (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lintian override: symbols-declares-dependency-on-other-package for
      kpackagetool5
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 13:06:54 +0000

kpackage (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kpackage (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update symbols.
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:55 +0000

kpackage (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:49 +0000

kpackage (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:55 +0900

kpackage (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kpackage (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:56 +0900

kpackage (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

kpackage (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:22:42 +0900

kpackage (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:17:11 +0900

kpackage (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kpackage (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kpackage (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
Source: kpackage
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libkf5archive-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
Rules-Requires-Root: no

Package: kpackagetool5
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kpackagelauncherqml (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the runtime package management tool.

Package: libkf5package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf5package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: extra-cmake-modules (>= 5.92.0~),
         kpackagetool5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.92.0~),
         libkf5package5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5declarative-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        plasma-framework-dev (<< 5.28),
Recommends: libkf5package-doc (= ${source:Version})
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5package5
Architecture: any
Multi-Arch: same
Depends: libkf5package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kpackagelauncherqml (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Recommends: kpackagetool5 (>= ${binary:Version})
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kpackage 5.98.0

=== debian/changelog ===
kpackage (5.98.0-0ubuntu1~ubuntu22.10~ppa1) kinetic; urgency=high

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 05 Sep 2022 14:38:58 +0100

kpackage (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * disable build time tests

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:26 +0100

kpackage (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:10 +0100

kpackage (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:54 +0100

kpackage (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:40 +0100

kpackage (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5archive-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -60,9 +60,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.92.0~),
+Depends: extra-cmake-modules (>= 5.98.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kpackage 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KPackage VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -25,6 +25,7 @@
 include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupQtPluginMacroNames)
+include(ECMDeprecationSettings)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -60,8 +61,12 @@
     CONFIG_CODE_VARIABLE
         PACKAGE_SETUP_AUTOMOC_VARIABLES
 )
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.97
+    KCOREADDONS 5.91 # KPluginMetaData::fromDesktopFile
+)
+
 include(KF5PackageMacros.cmake)
 
 # make package_version.h available

=== debian/changelog ===
kpackage (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

kpackage (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kpackage (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:30 +0100

kpackage (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kpackage (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kpackage (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kpackage (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kpackage (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kpackage (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Add xvfb setup to make build-time tests pass.
  * Update the list of installed files from build logs.
  * Disable tests running in parallel since it breaks plasma-querytest.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kpackage (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Add lintian override for libkf5package5 dependency on kpackagetool5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kpackage
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5archive-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5doctools-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5archive-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5doctools-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpackage
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpackage.git
 Rules-Requires-Root: no
 
 Package: kpackagetool5
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: kpackagelauncherqml (<< 5.54),
         libkf5declarative5 (<< 5.54),
         libkf5kcmutils5 (<< 5.42),
@@ -49,7 +50,7 @@
 Package: libkf5package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -60,16 +61,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.98.0~),
+Depends: extra-cmake-modules (>= 5.103.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.103.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5declarative-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
         plasma-framework-dev (<< 5.28),
-Recommends: libkf5package-doc (= ${source:Version})
+Recommends: libkf5package-doc (= ${source:Version}),
 Description: development files for kpackage
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -81,7 +82,7 @@
 Package: libkf5package-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: non-binary asset management framework (documentation)
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -104,7 +105,7 @@
         libkf5runner5 (<< 5.42),
         plasma-framework (<< 5.54),
         qml-module-org-kde-runnermodel (<< 5.42),
-Recommends: kpackagetool5 (>= ${binary:Version})
+Recommends: kpackagetool5 (>= ${binary:Version}),
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kpackage-([\d.]+)\.tar\.xz

## kpackage 5.104.0

=== debian/changelog ===
kpackage (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:40 +0000

kpackage (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:31 +0000

kpackage (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:06 +0000

kpackage (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:42 +0000

kpackage (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:02 +0000

kpackage (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kpackage
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5archive-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5doctools-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5archive-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5doctools-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpackage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpackage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
 Rules-Requires-Root: no
 
 Package: kpackagetool5
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kpackagelauncherqml (<< 5.54),
         libkf5declarative5 (<< 5.54),
         libkf5kcmutils5 (<< 5.42),
@@ -50,7 +49,7 @@
 Package: libkf5package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -61,16 +60,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.103.0~),
+Depends: extra-cmake-modules (>= 5.104.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.103.0~),
+         libkf5coreaddons-dev (>= 5.104.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5declarative-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
         plasma-framework-dev (<< 5.28),
-Recommends: libkf5package-doc (= ${source:Version}),
+Recommends: libkf5package-doc (= ${source:Version})
 Description: development files for kpackage
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -82,7 +81,7 @@
 Package: libkf5package-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: non-binary asset management framework (documentation)
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -105,7 +104,7 @@
         libkf5runner5 (<< 5.42),
         plasma-framework (<< 5.54),
         qml-module-org-kde-runnermodel (<< 5.42),
-Recommends: kpackagetool5 (>= ${binary:Version}),
+Recommends: kpackagetool5 (>= ${binary:Version})
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.

## kpackage 5.107.0

=== debian/changelog ===
kpackage (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:39 +0200

kpackage (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:58 +0100

=== debian/control ===
Source: kpackage
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libkf5archive-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5doctools-dev (>= 5.107.0~),
               libkf5i18n-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kpackage
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpackage
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpackage.git
Rules-Requires-Root: no

Package: kpackagetool5
Section: kde
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kpackagelauncherqml (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Description: command line kpackage tool
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the runtime package management tool.

Package: libkf5package-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the translations.

Package: libkf5package-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: extra-cmake-modules (>= 5.107.0~),
         kpackagetool5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.107.0~),
         libkf5package5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5declarative-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        plasma-framework-dev (<< 5.28),
Recommends: libkf5package-doc (= ${source:Version}),
Description: development files for kpackage
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5package-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: non-binary asset management framework (documentation)
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5package5
Architecture: any
Multi-Arch: same
Depends: libkf5package-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kpackagelauncherqml (<< 5.54),
        libkf5declarative5 (<< 5.54),
        libkf5kcmutils5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Recommends: kpackagetool5 (>= ${binary:Version}),
Description: non-binary asset management framework
 KPackage provides classes for applications to manage user installable packages
 of non-binary assets.
 .
 This package is part of KDE Frameworks 5.

## kpackage 5.109.0

=== debian/changelog ===
kpackage (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:25 +0100

kpackage (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:40 +0100

kpackage (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:40 +0100

kpackage (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kpackage
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
-               libkf5archive-dev (>= 5.107.0~),
-               libkf5coreaddons-dev (>= 5.107.0~),
-               libkf5doctools-dev (>= 5.107.0~),
-               libkf5i18n-dev (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5archive-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5doctools-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kpackage
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpackage
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpackage.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpackage
 Rules-Requires-Root: no
 
 Package: kpackagetool5
 Section: kde
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kpackagelauncherqml (<< 5.54),
         libkf5declarative5 (<< 5.54),
         libkf5kcmutils5 (<< 5.42),
@@ -50,7 +49,7 @@
 Package: libkf5package-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -61,16 +60,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.107.0~),
+Depends: extra-cmake-modules (>= 5.109.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.107.0~),
+         libkf5coreaddons-dev (>= 5.109.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5declarative-dev (<< 5.54),
         libkf5plasma-dev (<< 5.54),
         plasma-framework-dev (<< 5.28),
-Recommends: libkf5package-doc (= ${source:Version}),
+Recommends: libkf5package-doc (= ${source:Version})
 Description: development files for kpackage
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -82,7 +81,7 @@
 Package: libkf5package-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: non-binary asset management framework (documentation)
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.
@@ -105,7 +104,7 @@
         libkf5runner5 (<< 5.42),
         plasma-framework (<< 5.54),
         qml-module-org-kde-runnermodel (<< 5.42),
-Recommends: kpackagetool5 (>= ${binary:Version}),
+Recommends: kpackagetool5 (>= ${binary:Version})
 Description: non-binary asset management framework
  KPackage provides classes for applications to manage user installable packages
  of non-binary assets.

## kpackage 5.110.0

=== debian/changelog ===
kpackage (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5archive-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5doctools-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5archive-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5doctools-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -60,9 +60,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.109.0~),
+Depends: extra-cmake-modules (>= 5.110.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.109.0~),
+         libkf5coreaddons-dev (>= 5.110.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},

## kpackage 5.113.0

=== debian/changelog ===
kpackage (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:38 +0000

kpackage (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:32 +0000

kpackage (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:14 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5archive-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5doctools-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5archive-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5doctools-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -60,9 +60,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: extra-cmake-modules (>= 5.110.0~),
+Depends: extra-cmake-modules (>= 5.113.0~),
          kpackagetool5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.110.0~),
+         libkf5coreaddons-dev (>= 5.113.0~),
          libkf5package5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
